#include <stdio.h>
#include <stdlib.h>
#define NUM 18

int main() {
    int r[NUM];
    int j;
    for(j=0;j<NUM;j++)
    r[j]=-1;
    long long int x,y;
    scanf("%lld",&x);
    scanf("%lld",&y);
    long long int x1=x, y1=y;
    long long int ux,uy;
    long long int v;
    int i=0;
    while(x1!=0 || y1!=0)
    {    
        ux=x1%10;
        uy=y1%10;
        if(x1==0 && y1!=0)
        {
            r[i]=uy;
            i++;
        }
        else if(y1==0 && x1!=0)
        {
            r[i]=ux;
            i++;
        }
        else if(uy<ux)
        {
            v=ux;
            r[i]=v;
            i++;
        }
        else if(ux<uy)
        {
            v=uy;
            r[i]=v;
            i++;
        }
        else if(ux==uy)
        {   
            if(ux==0)
            {
                r[i]=ux;
                i++;
            }
            else
            {
            r[i]=ux;
            i++;
            r[i]=ux;
            i++;
            }   
        }
        x1=x1/10;
        y1=y1/10;
    }
    for(j=17;j>=0;j--)
    {
    if(r[j]!=-1)
    {
        printf("%d",r[j]);
    }
    }
}